org.apache.commons.jelly.tags.core

## Class ArgTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.core.BaseClassLoaderTag
    - - org.apache.commons.jelly.tags.core.ArgTag

All Implemented Interfaces:
  Tag

    public class ArgTag
    extends BaseClassLoaderTag

An argument to a `NewTag` or `InvokeTag`. This tag MUST be enclosed within an `ArgTagParent` implementation.

Version:
  $Revision: 155420 $
Author:
  Rodney Waldhoff

### Field Summary

### Fields inherited from class org.apache.commons.jelly.tags.core.BaseClassLoaderTag

`classLoader, useContextClassLoader`

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`ArgTag()`

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setType(String type)` The name of the argument class or type, if any.
`void` `setValue(Object value)` The (possibly null) value of this argument.

### Methods inherited from class org.apache.commons.jelly.tags.core.BaseClassLoaderTag

`getClassLoader, getUseContextClassLoader, setClassLoader, setUseContextClassLoader`

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgTag

    public ArgTag()

### Method Detail

#### setType

    public void setType(String type)

The name of the argument class or type, if any. This may be a fully specified class name or a primitive type name (`boolean`, `int`, `double`, etc.).``

#### setValue

    public void setValue(Object value)

The (possibly null) value of this argument.

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Description copied from interface: `Tag`
Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`